import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataLocalFileConfig extends cdktf.TerraformMetaArguments {
    /**
    * Path to the output file
    *
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/local/d/file#filename DataLocalFile#filename}
    */
    readonly filename: string;
}
/**
* Represents a {@link https://www.terraform.io/docs/providers/local/d/file local_file}
*/
export declare class DataLocalFile extends cdktf.TerraformDataSource {
    static readonly tfResourceType: string;
    /**
    * Create a new {@link https://www.terraform.io/docs/providers/local/d/file local_file} Data Source
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options DataLocalFileConfig
    */
    constructor(scope: Construct, id: string, config: DataLocalFileConfig);
    get content(): string;
    get contentBase64(): string;
    private _filename?;
    get filename(): string;
    set filename(value: string);
    get filenameInput(): string | undefined;
    get id(): string;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
